Page MenuHomePhabricator

Quotation marks added via special characters tool should wrap selected text, not replace it
Closed, ResolvedPublic1 Story Points

Description

Guillemets, French quotation marks (https://en.wikipedia.org/wiki/International_variation_in_quotation_marks#French), are now available through the special characters tool in VE on fr.wiki.
When you select a word and then add the guillemets in the wikitext editor, the word gets wrapped in them.
This is not the case in VE - the symbols appear, the word gets deleted.


Version: unspecified
Severity: normal

Details

Reference
bz63227

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:54 AM
bzimport added a project: VisualEditor.
bzimport set Reference to bz63227.
Elitre created this task.Mar 28 2014, 11:53 AM

I confirm this at cs.wp. For the Czech „“ its common, to select a word click on spacial character button and insert quotatin marks arround.

Jdforrester-WMF changed the task status from Open to Stalled.Feb 2 2015, 7:24 PM
matmarex renamed this task from VisualEditor: quotation marks added via special characters tool don't work as expected to Quotation marks added via special characters tool should wrap selected text, not replace it.Apr 19 2015, 9:23 PM
matmarex changed the task status from Stalled to Open.
matmarex claimed this task.
matmarex set Security to None.
matmarex added subscribers: matmarex, Aklapper.
matmarex triaged this task as Normal priority.Apr 19 2015, 10:35 PM

Change 205556 had a related patch set uploaded (by Bartosz Dziewoński):
ve.ui.SpecialCharacterDialog: Allow encapsulation of selected content

https://gerrit.wikimedia.org/r/205556

Change 205558 had a related patch set uploaded (by Bartosz Dziewoński):
Allow special characters with tooltip or that encapsulate text

https://gerrit.wikimedia.org/r/205558

Change 205556 merged by jenkins-bot:
ve.ui.SpecialCharacterDialog: Allow encapsulation of selected content

https://gerrit.wikimedia.org/r/205556

Change 205558 merged by jenkins-bot:
Allow special characters with tooltip or that encapsulate text

https://gerrit.wikimedia.org/r/205558

The pairs of quotes appropriate for various languages can be inserted now (“” „“ „” «»), from the "Symbols" section, and if you do it while you have text selected, they will wrap it instead of replacing it.

If you wish to add items supporting this functionality to "Often used" characters list (https://www.mediawiki.org/wiki/VisualEditor/Special_characters#Adding_often_used_characters), the required syntax is (replace "A" and "B" with appropriate characters):

"AB": {
  "action": {
    "type": "encapsulate",
    "options": {
      "pre": "A",
      "post": "B"
    }
  }
},

(Per https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap, this change will be deployed on Wikipedias on Wednesday, 06 May 2015.)

Oh, great. I was wondering that quotation marks have disepeard with new charset.